@import url('https://fonts.googleapis.com/css2?family=Dosis&family=Monoton&display=swap');
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css");



/* ---------------------------------------------------------------- */
/* Global CSS */

/* Spacing */
.full-height{
    height: 100vh;
}
/* fonts */

/* set all large headings to display font */
h1{
    font-family: 'Monoton', cursive;
    color: #F18442;
}


h2,h3,h4,h5,h6,p,a{
    font-family: 'Dosis', sans-serif;
    color: white;
}

/* set page background colour to dark color */
body{
    background-color: #2b2b2b;
}

/* set text on page to white */
label, .form-text, p{
    color: white;
}

.form-text{
    color: red;
}




/*============================================================================================= */
/* Media Queries */
@media(min-width: 300px){

    h1{
        font-size: 16px;
    }

    /* fixing nav bar colours */
    .navbar-toggler{
        color: white;
        background-color: #F18442;
    }

/* Library Page */
.movie-card{
    width: 50%;
}

.row-con{
    height: 100vh;
    margin-bottom: 300vh;
}

.movie-col{
    height: 45%;
}

.lib-card{
    width: 100%;
    height: 100%;
    background-image: url("../assets/Ao\ to\ Orenji.jpg");
    background-position: center;
    background-size: cover;
}

.lib-body{
    height: 45%;
    align-items: flex-end;
    display: flex;
    justify-content: center;
}

.play-logo{
    width: 30%;
    margin-left: 33%;
    padding-top: 50%;
}

.overlay{
    width: 100%;    
    height: 100%;
    background-color: rgba(0,0,0,0.6);
    opacity: 0;
}
.overlay:hover{
    cursor: pointer;
    opacity: 1;
}
.movie-title{
    font-size: 16px;
}

    
    
        /* footer */
        .footer-socials{
            text-align: center;
        }
        .footer-brand{
            text-align: center;
        }
        .footer-api{
            text-align: center;
        }

        .add-icon{
            float: right;
            margin-top: -6%;
        }
        

}

@media(min-width:576px){
 /* Library Page */
 .movie-card{
    width: 25%;
}

.row-con{
    height: 110vh;
    margin-bottom: 110vh;
}

.lib-card{
    width: 100%;
    height: 100%;
    background-image: url("../assets/Ao\ to\ Orenji.jpg");
    background-position: center;
    background-size: cover;
}

.lib-body{
    height: 45%;
    align-items: flex-end;
    display: flex;
    justify-content: center;
}

.play-logo{
    width: 30%;
    margin-left: 33%;
    padding-top: 50%;
}

.overlay{
    width: 100%;    
    height: 100%;
    background-color: rgba(0,0,0,0.6);
    opacity: 0;
}
.overlay:hover{
    cursor: pointer;
    opacity: 1;
}
.movie-title{
    font-size: 14px;
}

.add-icon{
    float: right;
    margin-top: -11%;
}


}

@media(min-width:768px){
    h1{
        font-size: 22px;
    }
     
 /* Library Page */
 .movie-card{
    width: 25%;
}

.row-con{
    height: 100vh;
}

.lib-card{
    width: 100%;
    height: 100%;
    background-image: url("../assets/Ao\ to\ Orenji.jpg");
    background-position: center;
    background-size: cover;
}

.lib-body{
    height: 45%;
    align-items: flex-end;
    display: flex;
    justify-content: center;
}

.play-logo{
    width: 30%;
    margin-left: 33%;
    padding-top: 50%;
}

.overlay{
    width: 100%;    
    height: 100%;
    background-color: rgba(0,0,0,0.6);
    opacity: 0;
}
.overlay:hover{
    cursor: pointer;
    opacity: 1;
}

.movie-title{
    font-size: 16px;
}

.add-icon{
    float: right;
    margin-top: -11%;
}



}


@media(min-width:991px){
 /* Library Page */
 .movie-card{
    width: 25%;
}

.row-con{
    height: 50vh;
    margin-bottom: 60vh;
}

.movie-col{
    height: 90%;
    margin-top: 25px;
}

.lib-card{
    width: 100%;
    height: 100%;
    background-image: url("../assets/Ao\ to\ Orenji.jpg");
    background-position: center;
    background-size: cover;
}

.lib-body{
    height: 45%;
    align-items: flex-end;
    display: flex;
    justify-content: center;
}

.play-logo{
    width: 30%;
    margin-left: 33%;
    padding-top: 50%;
}

.overlay{
    width: 100%;    
    height: 100%;
    background-color: rgba(0,0,0,0.6);
    opacity: 0;
}
.overlay:hover{
    cursor: pointer;
    opacity: 1;
}

.movie-title{
    font-size: 18px;
}

    /* footer */
    footer .row{
        display: table;
        text-align: center;
    }
    .footer-socials{
        display: table-cell;
        text-align: center;
    }
    .footer-brand{
        display: table-cell;
        text-align: center;
    }
    .footer-api{
        display: table-cell;
        text-align: center;
    }

    .add-icon{
        float: right;
        margin-top: -11%;
    }
    

}


@media(min-width:1200px){
    h1{
        font-size: 36px;
    }

    /* Library Page */
    .movie-card{
        width: 25%;
    }

    .row-con{
        height: 60vh;
    }
    
    .movie-col{
        height: 90%;
        margin-top: 25px;
    }

    .lib-card{
        width: 100%;
        height: 100%;
        background-image: url("../assets/Ao\ to\ Orenji.jpg");
        background-position: center;
        background-size: cover;
    }

    .lib-body{
        height: 35%;
        align-items: flex-end;
        display: flex;
        justify-content: center;
    }

    .play-logo{
        width: 30%;
        margin-left: 33%;
        padding-top: 50%;
    }

    .overlay{
        width: 100%;    
        height: 100%;
        background-color: rgba(0,0,0,0.6);
        opacity: 0;
    }
    .overlay:hover{
        cursor: pointer;
        opacity: 1;
    }

    .add-icon{
        float: right;
        margin-top: -11%;
    }
    



}


/* ============================================================================ */
/* Nav Bar */

/* change the background colour of the navbar as a whole and add the border to create distinction */
.navbar{
    background-color: #2b2b2b !important;
    border-bottom: 3px solid #F18442;
}

.logo_title{
    font-family: 'Monoton', cursive;
    color: #F18442;
    font-size: 24px;
    vertical-align: middle;
}

.active{
    color: #F18442 !important;
    font-weight: 800;
    border-bottom: 2px solid #F18442;
}

.nav-item{
    display: flex;
    align-self: center;
    width: 25vh;
}


.nav-link{
    color: white;
}


.nav-link:hover{
    color: #F18442 !important;
    font-weight: 800;
}

.navbar-nav{
    margin-left: 15%;
}



/* ============================================================================ */
/* footer */
.footer-con{
    width: 100%;
}

footer i {
    margin-left: 15px;
    margin-right: 15px  ;
}

.footer-api-img{
    margin-top: 7px;
}



/* ============================================== */
/* library page */

.filters-con{
    display: flex;
    justify-content: end;
}

.filter-opt-con,.filter-inp-con{
    display: flex;
    justify-content: center;
    text-align: center;
}

/* library filter buttons */
.filter-btn{
    width: 24px;
    height: auto;
    margin-left: 3rem;
}
.filter-btn:hover, .filter-opt-con p:hover{
    cursor: pointer;
}



.add-icon:hover{
    cursor: pointer;
}

.genre-link:hover{
    cursor: pointer;
    color: #F18442;
    font-weight: bold;
}

.region-link:hover{
    cursor: pointer;
    color: #F18442;
    font-weight: bold;
}

.extend-footer{
    margin-top: 100%;
}

.filter-active{
    color: #F18442;
    font-weight: bold;
}


.filter-title{
    display: flex;
    justify-content: center;
}

.form-range{
    width: 200%;
    height: 20px;
    margin-left: -50%;
    color: #F18442;
}

.submit-filters{
    margin-right: 2%;
    width: 200px;
    background-color: #F18442;
    border: 2px solid white;
    border-radius: 15px;
}


/* ============================================== */